metrics
Update Metric Dashboard
Update a user-defined metric dashboard.
Scopes: metrics:write
PATCH
/
v1
/
metrics
/
dashboards
/
{id}
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.metrics.update_dashboard(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.metrics.updateDashboard(
"00000000-0000-4000-8000-000000000000",
{},
);
console.log(response);
curl --request PATCH \
--url https://api.ourpay.dev/v1/metrics/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metrics": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', metrics: ['<string>']})
};
fetch('https://api.ourpay.dev/v1/metrics/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"metrics": [
"<string>"
],
"organization_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Path Parameters
The metric dashboard ID.
Body
application/json
Response
Successful Response
A user-defined metrics dashboard.
Creation timestamp of the object.
Last modification timestamp of the object.
The ID of the object.
Display name for the dashboard.
List of metric slugs displayed in this dashboard.
The ID of the organization owning this dashboard.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.metrics.update_dashboard(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.metrics.updateDashboard(
"00000000-0000-4000-8000-000000000000",
{},
);
console.log(response);
